## org.eclipse.datatools.connectivity.sqm.core.util
Class CatalogLoaderOverrideManager

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.util.CatalogLoaderOverrideManager

    public final class CatalogLoaderOverrideManager

extends java.lang.Object

Manages the overridden catalog loaders.

Author:
  brianf

Field Summary
`java.lang.String` `EXT_ECLASS`
`java.lang.String` `EXT_OVERRIDE`
`java.lang.String` `EXT_PRODUCT`
`java.lang.String` `EXT_PROVIDER`
`java.lang.String` `EXT_PT_NAME`
`java.lang.String` `EXT_PT_NS`
`java.lang.String` `EXT_VERSION`
`static CatalogLoaderOverrideManager` `INSTANCE`

Method Summary
`java.util.Iterator` `getDbDefinitions()` Return a list of Database Definitions that have override loaders registered
`java.util.Iterator` `getEClasses(DatabaseDefinition defn)` Get the list of eclass names with loaders registered for the given database definition.
`CatalogLoaderOverrideManager` `getInstance()` Get the instance.
`JDBCBaseLoader` `getLoaderForDatabase(DatabaseDefinition defn, java.lang.String eClassName)` Given a Database Definition and an eclass name, provide the loader

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final CatalogLoaderOverrideManager INSTANCE

### EXT_PT_NS

    public final java.lang.String EXT_PT_NS

See Also:
  Constant Field Values

### EXT_PT_NAME

    public final java.lang.String EXT_PT_NAME

See Also:
  Constant Field Values

### EXT_OVERRIDE

    public final java.lang.String EXT_OVERRIDE

See Also:
  Constant Field Values

### EXT_PRODUCT

    public final java.lang.String EXT_PRODUCT

See Also:
  Constant Field Values

### EXT_VERSION

    public final java.lang.String EXT_VERSION

See Also:
  Constant Field Values

### EXT_ECLASS

    public final java.lang.String EXT_ECLASS

See Also:
  Constant Field Values

### EXT_PROVIDER

    public final java.lang.String EXT_PROVIDER

See Also:
  Constant Field Values

Method Detail

### getLoaderForDatabase

    public JDBCBaseLoader getLoaderForDatabase(DatabaseDefinition defn,
                                               java.lang.String eClassName)

  Given a Database Definition and an eclass name, provide the loader

  Parameters:
    `defn` -
    `eClassName` -
  Returns:

### getDbDefinitions

    public java.util.Iterator getDbDefinitions()

  Return a list of Database Definitions that have override loaders registered

  Returns:

### getEClasses

    public java.util.Iterator getEClasses(DatabaseDefinition defn)

  Get the list of eclass names with loaders registered for the given database definition.

  Parameters:
    `defn` -
  Returns:

### getInstance

    public CatalogLoaderOverrideManager getInstance()

  Get the instance.

  Returns: